com.smartgwt.client.util.workflow

## Class Task

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.Task

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers
  Direct Known Subclasses:
    Process, ScriptTask, ServiceTask, StateTask, UserTask

      public class Task
      extends ProcessElement

  A Task is an abstract superclass for `Process` and for all Task types that can be involved in a Process, such as a `ServiceTask`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Task()`
    `Task(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.String` | `getInputField()` Field in the `process state` which is provided as input data to this task.
    `java.lang.String[]` | `getInputFieldList()` List of multiple fields from the `process state` which are provided as input data to this task.
    `static Task` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getOutputField()` Field in the `process state` which this task writes outputs to.
    `java.lang.String[]` | `getOutputFieldList()` List of multiple fields from the `process state` which this task will write to.
    `void` | `setInputField(java.lang.String inputField)` Field in the `process state` which is provided as input data to this task.
    `void` | `setInputFieldList(java.lang.String... inputFieldList)` List of multiple fields from the `process state` which are provided as input data to this task.
    `void` | `setOutputField(java.lang.String outputField)` Field in the `process state` which this task writes outputs to.
    `void` | `setOutputFieldList(java.lang.String... outputFieldList)` List of multiple fields from the `process state` which this task will write to.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `convertToJavaScriptArray, getID, getJsObj, getNextElement, getOrCreateJsObj, getProcessElements, isCreated, onInit, setAttribute, setID, setJavaScriptObject, setNextElement`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `applyFactoryProperties, asSGWTComponent, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getScClassName, getTestInstance, hasAutoAssignedID, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Task

          public Task()

    - #### Task

          public Task(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Task getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ProcessElement`

    - #### setInputField

          public void setInputField(java.lang.String inputField)
                             throws java.lang.IllegalStateException

      Field in the `process state` which is provided as input data to this task. See `TaskIO`.
      Parameters:
        `inputField` - New inputField value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getInputField

          public java.lang.String getInputField()

      Field in the `process state` which is provided as input data to this task. See `TaskIO`.
      Returns:
        Current inputField value. Default value is null

    - #### setInputFieldList

          public void setInputFieldList(java.lang.String... inputFieldList)
                                 throws java.lang.IllegalStateException

      List of multiple fields from the `process state` which are provided as input data to this task. See `TaskIO`.

      If `inputField` is also specified, it will be implicitly added to the `inputFieldList` if it is not already present.

      Parameters:
        `inputFieldList` - New inputFieldList value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getInputFieldList

          public java.lang.String[] getInputFieldList()

      List of multiple fields from the `process state` which are provided as input data to this task. See `TaskIO`.

      If `inputField` is also specified, it will be implicitly added to the `inputFieldList` if it is not already present.

      Returns:
        Current inputFieldList value. Default value is null

    - #### setOutputField

          public void setOutputField(java.lang.String outputField)
                              throws java.lang.IllegalStateException

      Field in the `process state` which this task writes outputs to. See `TaskIO`.
      Parameters:
        `outputField` - New outputField value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getOutputField

          public java.lang.String getOutputField()

      Field in the `process state` which this task writes outputs to. See `TaskIO`.
      Returns:
        Current outputField value. Default value is null

    - #### setOutputFieldList

          public void setOutputFieldList(java.lang.String... outputFieldList)
                                  throws java.lang.IllegalStateException

      List of multiple fields from the `process state` which this task will write to. See `TaskIO`.

      If `outputField` is also specified, it will be implicitly added to the `outputFieldList` if it is not already present.

      Parameters:
        `outputFieldList` - New outputFieldList value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getOutputFieldList

          public java.lang.String[] getOutputFieldList()

      List of multiple fields from the `process state` which this task will write to. See `TaskIO`.

      If `outputField` is also specified, it will be implicitly added to the `outputFieldList` if it is not already present.

      Returns:
        Current outputFieldList value. Default value is null